gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net
Safe Haskell | None

System.GIO.File.IOError

Contents

- Details
- Enums
- Methods

Description

Synopsis

- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
- ioErrorFromErrno :: Int -> IO IOErrorEnum

# Details

Contains helper functions for reporting errors to the user.

# Enums

data IOErrorEnum

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |

Instances

Bounded IOErrorEnum |
Enum IOErrorEnum |
Eq IOErrorEnum |
Ord IOErrorEnum |
Show IOErrorEnum |
Typeable IOErrorEnum |

# Methods

ioErrorFromErrno

Arguments

:: Int | `err` Error number as defined in errno.h.
-> IO IOErrorEnum | returns `IOErrorEnum` value for the given errno.h error number.

Converts errno.h error codes into GIO error codes.